Loading...
Searching...
No Matches
Version Class Reference

Bit-compacted representation of all three version numbers. More...

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions

| Version ()
| Version (uint32_t major, uint32_t minor, uint32_t patch)
bool | operator== (const Version &rhs) const
bool | operator< (const Version &rhs) const
bool | operator<= (const Version &rhs) const
bool | operator> (const Version &rhs) const
bool | operator>= (const Version &rhs) const
uint32_t | id () const
uint32_t | getMajor () const
uint32_t | getMinor () const
uint32_t | getPatch () const
const char * | c_str () const

## Detailed Description

Bit-compacted representation of all three version numbers.

major is the top 11 bits, minor is the 11 middle bits and patch is the lower 10 bits

## Constructor & Destructor Documentation

## Version() [1/2]

Version | ( |  | ) |

inline

## Version() [2/2]

Version | ( | uint32_t | major,
|  | uint32_t | minor,
|  | uint32_t | patch )

inline

## Member Function Documentation

## c_str()

const char * c_str | ( |  | ) | const

inline

## getMajor()

uint32_t getMajor | ( |  | ) | const

inline

## getMinor()

uint32_t getMinor | ( |  | ) | const

inline

## getPatch()

uint32_t getPatch | ( |  | ) | const

inline

## id()

uint32_t id | ( |  | ) | const

inline

## operator<()

bool operator< | ( | const Version & | rhs | ) | const

inline

## operator<=()

bool operator<= | ( | const Version & | rhs | ) | const

inline

## operator==()

bool operator== | ( | const Version & | rhs | ) | const

inline

## operator>()

bool operator> | ( | const Version & | rhs | ) | const

inline

## operator>=()

bool operator>= | ( | const Version & | rhs | ) | const

inline